# Module `Blocker`

Component to block input on specify zone by node

## Functions

init(self, node) | Component init function
is_enabled(self) | Return blocked enabled state
set_enabled(self, state) | Set enabled blocker component state

## Fields

node | Trigger node

## Functions

init(self, node)
  Component init function

  ### Parameters:

  - self Blocker Blocker
  - node node Gui node
is_enabled(self)
  Return blocked enabled state

  ### Parameters:

  - self Blocker Blocker

  ### Returns:

  bool True, if blocker is enabled
set_enabled(self, state)
  Set enabled blocker component state

  ### Parameters:

  - self Blocker Blocker
  - state bool Enabled state

## Fields

node
  Trigger node
  - node node

generated by LDoc TESTING Last updated 2015-01-01 12:00:00